Subject: Re: bug#9084: 24.0.50; displaying man pages splits the window and formats the text for the full width of the whole frame rather than for the width of the window the text is displayed in, which is only 1/2 the width of the frame

From: Juri Linkov <[email-masked]>
Date: Tue, 19 Jul 2011 03:34:10 +0300

> Then the manpages as emacs formats them are an exception to that.

Manpages are an exception because unlike most other static and
preformatted texts in other modes, `man' can format texts on the fly
taking the width as a parameter.  It would be wiser to employ this
possibility and fill the text of manpages to the window's width.
So it's up to the users to decide what width they want
interactively by creating a window with the desired width,
or by configuring the window auto-splitting or window layouts.

> Does this plan involve functionality to freeze window layouts or to
> "frameify" windows?  There isn't much point in laying out windows in any
> particular way when dynamic window layout continues to automatically
> destroy an overall layout.  Users shouldn't be expected to specify
> window layouts for a potentially huge number of different buffers in
> order to always dynamically get the overall window layout they want when
> this can be avoided by something as simple (for the user) as
> "frameifying" a window.

In the proposed designs such parts of the window layout are called
"window groups" or "framelettes" that can behave as a separate frame.